// i18n.js
import i18n from 'i18next';
import { initReactI18next } from 'react-i18next';

i18n.use(initReactI18next).init({
    resources: {
        he: {
            translation: {
                welcome: 'ברוכים הבאים!',
                email: 'אימייל',
                password: 'סיסמה',
                login: 'התחבר',
                forgetpassword: 'שכחתי סיסמה',
                incorrectPassword: '*סיסמה שגויה',
                emailincorrect: '*כתובת המייל לא קיימת במערכת',
                forgetemail: 'הזן את האימייל שלך ואנו נשלח לך סיסמה זמנית.',
                send: 'שלח',
                tempPass1: 'התחברת למערכת באמצעות סיסמה זמנית.',
                tempPass2: 'נא ליצור סיסמה חדשה.',
                create: 'שמור',
                dashboard: 'דשבורד',
                announcement: 'צור הודעה',
                parkinglot: 'חניונים',
                report: 'דוח תקלות',
                adminnavtitle: 'אדמין',
                adminsName: 'שם מנהל',
                phonenmbr: 'טלפון',
                adminscreentitle: 'מנהלי משתמשים',
                createadmin: 'צור משמש',
                edituser: 'עריכת משתמש',
                fillalert: '*שדה זה הינו שדה חובה',
                firstName: 'שם',
                role: 'מנהל מערכת',
                phoneNumber: 'טלפון',
                adminSelectoption: 'בחר באפשרות הרצויה',
                admin: 'מנהל',
                'sub-admin': 'תת מנהל',
                deleteadminmodel: 'האם אתה בטוח שברצונך למחוק משתמש זה?שים לב! לא ניתן לבטל פעולה זו.',
                deleteadminbelowwarning: '*לא ניתן למחוק משתמש.אחד או יותר מהחניונים שהוקצו למשתמש יישארו ללא מנהל.',
                deletereportmodel: 'האם אתה בטוח שברצונך לסגור את הדיווח? שים לב! לא ניתן לבטל פעולה זו.                ',
                accept: 'אישור',
                parkinglotname: 'שם החניון',
                username: 'שם משתמש',
                faultdiscrption: 'תיאור תקלה',
                action: 'פעולה',
                closereport: 'סגור דיווח',
                createannoncement: 'צור הודעה',
                chooseparkinglot: 'בחר חניונים:',
                announcementstart: 'התחלה',
                announcementend: 'סיום',
                announcementtext: 'תוכן ההודעה:',
                character: 'תווים',
                publish: 'פרסם',
                dashboard: 'דשבורד',
                userlist: 'משתמשי מערכת',
                usersearch: 'חיפוש משתמש',
                km: 'ק״מ',
                userselected: 'בחירה ידנית',
                drivername: 'שם הנהג',
                vehiclenumber: 'לוחית רישוי',
                allowedparkinglots: 'חניונים מורשים',
                saveparkinglot: 'חניה',
                userTableElectric: 'חשמלית',
                userTableHandi: 'נגישה',
                UserTableYes: 'כן',
                UserTableNo: 'לא',
                accountstatus: 'סטטוס חשבון',
                accountlockedstatus: 'מצב חשבון',
                createUserhead: "צור משתמש",
                createuser: 'שמור שינויים',
                registration: 'מספר לוחית רישוי',
                reservationDate: "מוזמן לתאריך",
                electricCharging: 'טעינה חשמלית',
                designatedParkingSpotSet: 'חניה שמורה',
                designatedParkingSpot: 'מספר החניה השמורה',
                createuserbtn: 'שמור',
                name: 'שם',
                createTemporaryPassword: 'צור סיסמה זמנית',
                createTemporaryPasswordbtntext: 'צור',
                unlockUser: 'שחרור חסימה',
                accountlocked: 'נעילת חשבון',
                date: 'תאריכים',
                save: 'שמור',
                temppassedituser1: 'האם אתה בטוח שברצונך ליצור סיסמה זמנית עבור משתמש זה?',
                temppassedituser2: 'הסיסמה הנוכחית תהפוך לבלתי חוקית.',
                createparkinglot: 'הוספת חניון',
                regularparkingspot: 'חניות רגילות',
                electricchargestation: 'חניות עם עמדת טעינה ',
                savedparkingspots: 'חניות שמורות',
                maxReservationDistance: 'מרחק הזמנה מקסימלי',
                allotmentmethod: 'שיטת ההקצאה',
                designated: 'נקודות חניה ייעודיות',
                location: 'כתובת',
                accessMapFile: 'קובץ מפה',
                regular: 'מקומות חניה רגילים',
                admins: 'מנהל החניון',
                allotmentFile: 'קובץ הקצאות',
                electric: 'חניות עם עמדת טעינה',
                allotmentMethod: 'שיטת ההקצאה',
                electricChargingTimeLimit: 'מגבלת זמן טעינה חשמלית',
                avatar: 'קובץ תמונה של החניון',
                choosefile: 'בחר קובץ',
                nolimit: 'ללא הגבלה',
                uploadfillalert: '*נא להעלות קובץ',
                editParkingLot: 'עריכת חניונים',
                parkingspotares: 'מקומות חניה, אזורים וקבצי מפות',
                electricchargingspot: 'חניות עם עמדת טעינה ',
                designatedparkingspot: 'מקומות חניה ייעודיים',
                entrance: 'כניסה',
                mapfile: 'קובץ מפה',
                areaname: 'שם האזור',
                deleteparkinglotmodeltxt1: 'האם אתה בטוח שברצונך למחוק את חניון זה?',
                deleteparkinglotmodeltxt2: 'שים לב! לא ניתן לבטל פעולה זו.',
                logout: 'התנתק',
                temporaryPassword: 'סיסמה זמנית',
                newPassword: 'צור סיסמה',
                confirmPassword: 'אימות סיסמה',
                invaliderror: '*סיסמה לא חוקית',
                notmatcherror: '*סיסמה לא תואמת',
                incorrectpassword: '*סיסמה שגויה',
                passwordupdated: 'הסיסמה עודכנה בהצלחה!',
                passwordrule: 'כללי יצירת סיסמה:',
                passwordrulesubtext: 'הסיסמה חייבת לכלול לפחות שלושה מהפרמטרים הבאים:',
                passrule1: 'אות קטנה (a-z)',
                passrule2: 'אות גדולה (A-Z)',
                passrule3: 'תו מיוחד (!@#$%^&*)',
                passrule4: 'מספר (1-9)',
                createadmintxt: 'צור משתמש',
                random: 'סדר רנדומלי',
                manual: 'לפי הסדר',
                'user-selected': 'בחירת משתמש',
                smsSendTime: 'זמן התראה חניות שמורות',
                reservationTime: 'זמן הזמנה',

                time18: '18:00 ערב קודם',
                time19: '19:00 ערב קודם',
                time20: '20:00 ערב קודם',
                time21: '21:00 ערב קודם',
                time5: '05:00 בוקר',
                time6: '06:00 בוקר',
                time7: '07:00 בוקר',
                time8: '08:00 בוקר',

                DayBefore: 'יום לפני',
                SameDay: 'באותו יום',

                allowedParkingLotsnew: 'חניונים מורשים',
                mainParkingLot: 'חניון ראשי',
                accessibleparkingspots: 'מקומות חניה מונגשים',
                accessibleParkingSpot: 'חניה נגישה',
                parkingLot: 'שם החניון',
                selectparkinglot: 'בחר חניון',
                designatedparkingspotnew: 'מספר מקום החניה הייעודי',
                doubleparkingspots: 'מקומות חניה כפולים',
                verifycsv: 'נא לאמת קובץ csv',
                deleteUserModalText: "האם ברצונך למחוק את המשתמש?",
                frozenSpots: 'מקומות חניה מוקפאים',
                controlCenter: 'מרכז בקרה',
                legend: 'מקרא',
                freeInfo: 'פנוי',
                reservedInfo: 'שמור',
                inUse: 'תפוס',
                locked: 'נעול',
                accessible: 'נגישה',
                availablespaces: 'חניות פנויות',
                accessible: 'מקומות חניה נגישים',
                vehicles: 'כלי רכב',
                createAnnouncement: 'ההודעה המתוזמנת נשלחה בהצלחה',
                announcements: 'הודעות מתוזמנות',
                announcementtext: 'תוכן ההודעה',
                start: 'תאריך ושעה התחלה',
                end: 'תאריך ושעה סיום',
                deleteannouncementtext: 'האם אתה בטוח שברצונך למחוק את ההודעה?',
                adduser: 'הוסף משתמש',
                importuser: 'ייבוא רשימת משתמשים',
                reportdatetime: 'תאריך/שעה',
                lastlogin: 'תאריך כניסה אחרון לאפליקציה',
                monitoring: 'בקרה',
                monitoringElectricCount: 'חשמל',
                monitoringAccessibleCount: 'נגישה',
                monitoringRegularCount: 'רגילות',
                designatedReservationDuration: 'טיימר לשחרור אוטומטי',
                firstlogin: 'הוריד אפליקציה',
                usersearchplaceholder: 'חיפוש משתמש לפי שם/מספר רכב/מספר טלפון/מספר חניה/מקום חניה',
                shabat: 'חגים ומועדים',
                holidayName: 'שם החג',
                holidayStart: 'תאריך ושעת התחלה',
                holidayEnd: 'תאריך ושעת סיום',
                holidayEdit: 'עריכה',
                holidayDelete: 'מחיקה',
                deleteholidaymodal: 'האם אתה בטוח שברצונך למחוק את החג?                ',
                createholiday: 'צור חג',
                starttime: 'שעת התחלה',
                startdate: 'תאריך התחלה',
                endtime: 'שעת סיום',
                enddate: 'תאריך סיום',
                editholiday: 'ערוך חג',
                exportuser: 'ייצוא רשימת משתמשים',
                exportreport: 'ייצוא דוח תקלות',
                exportmonitoring: 'ייצוא רשימת ניטור',
                occupancytitle: 'טבלת בקרה',
                occupancyparkinglot: 'שם החניון',
                occupancyareaname: 'אזור בחניון',
                occupancyparkingspotnumber: 'מספר חניה',
                occupancyparkingspottype: 'סוג חניה',
                occupancyparkingspotstatus: "סטטוס",
                occupancyspotdesignatedto: 'שמור למשתמש',
                occupancyspotoccupancy: 'תפוס על ידי',
                occupancyvehiclenumber: 'מספר רכב התופס',
                reserved: 'תפוס',
                free: 'פנוי',
                released: 'פנוי',
                'designated-not-released': 'שמור',
                regular: 'רגיל',
                electric: 'חשמלי',
                designated: 'שמור',
                disabled: 'נגיש',
                timeformat: '(פורמט 24 שעות) hh:mm',
                occupancyphonenumber: 'טלפון התופס',
                newMonitoringRegular: 'רגילות',
                newMonitoringAccessible: 'נגישות',
                newMonitoringElectric: 'חשמל',
                newMonitoringFree: 'פנויות',
                newMonitoringReserved: 'שמורות',
                newMonitoringTaken: 'תפוסות',
                newMonitoringFrozen: 'מוקפאות',
                newMonitoringAllParkingLot: 'כל החניון',
                users: 'משתמשים',
                systemUsersTab: 'משתמשי מערכת',
                guestUsersTab: ' שיוך משתמש לחניון',
                newDesignUserDropdownText: 'בחר מגרש חניה',
                newDesignActive: 'פעיל',
                newDesignInactive: 'נעול',
                newDesignSuccesAlert: 'משתמש חדש הוסף לחניון',
                newDesignMonitoringText: 'בקרה',
                newDesignGuestsText: 'אורחים',
                newdesignaddguestuser: 'הוסף משתמש אורח',
                newdesignexportguestuser: 'ייצא משתמשים אורחים',
                guestname: 'שם מלא',
                guestphonenumber: 'טלפון',
                guestcarnumber: 'מספר רכב',
                guestaccessible: 'נגישות',
                guestreservespot: 'מספר חניה שמורה',
                guestarivaldate: 'תאריך הגעה',
                guestinfotext: 'תהליך שיוך הוא תהליך פשוט, החל מחיפוש המשתמש שברצונך להוסיף לחניון ועקוב אחר ההוראות',
                guestnouserfound:"לא נמצא משתמש בעל טלפון זה, נסה שנית",
                guestinfobtn: "לשיוך המשתמש לחניון שלך יש ללחוץ על כפתור ‘שיך לחניון",
                guestusercarnumber: 'מספר רכב:',
                guestuserphonenumber: 'מספר טלפון:',
                guestuseraccounstatus: 'מצב חשבון:',
                guestusersearchbtn:'שייך לחניון',
                createGuestUserhead: 'יצירת אורח/ת',
                guestcalendercancel: 'ביטול',
                guestcalenderApproval: 'אישור',
                alerteditguestuser:"לא ניתן לעדכן את המשתמש מבלי לשנות מגרש חניה ומקום",
                associatesdropdownallparkinglots:'כל החניונים'

            },
        },
        en: {
            translation: {
                reservationDate:"Welcome to the date",
                welcome: 'Welcome Back!',
                email: 'Email',
                password: 'Password',
                login: 'Login',
                forgetpassword: 'Forget Password',
                incorrectPassword: '*Incorrect password',
                emailincorrect: '*Email does not exist',
                forgetemail: 'Enter your Email and we will send you a temporary password.',
                send: 'Send',
                tempPass1: 'Your logged in using a temporary password.',
                tempPass2: 'Please create a new password.',
                create: 'Create',
                dashboard: 'Dashboard',
                announcement: 'Create Announcement',
                parkinglot: 'Parking Lots',
                report: 'Fault Reports',
                adminnavtitle: 'Admin Users',
                adminsName: 'Admin User Name',
                phonenmbr: 'Phone Number',
                adminscreentitle: 'Admin Users',
                createadmin: 'Create Admin',
                fillalert: '*Field cannot stay blank.',
                firstName: 'Name',
                role: 'Superintendent Admin',
                phoneNumber: 'Phone Number',
                adminSelectoption: 'Select an Option',
                admin: 'admin',
                'sub-admin': 'sub-admin',
                deleteadminmodel: 'Are you sure you want to delete this user? This action is irreversible.',
                deleteadminbelowwarning: '*Cannot delete user. One or more of the user’s assigned parking lots will stay without a an admin.',
                deletereportmodel: 'Are you sure you want to close the report?This action is irreversible.',
                accept: 'Accept',
                parkinglotname: 'Parking Lot Name',
                username: 'User Name',
                faultdiscrption: 'Fault Description',
                action: 'Action',
                closereport: 'Close Report',
                createannoncement: 'Create Announcement',
                chooseparkinglot: 'Choose Parking Lots:',
                announcementstart: 'Announcement start',
                announcementend: 'Announcement End',
                announcementtext: 'Announcement Text:',
                character: 'Characters',
                publish: 'Publish',
                dashboard: 'Dashboard',
                userlist: 'User List',
                usersearch: 'User Search',
                km: 'Km',
                userselected: 'User Selected',
                drivername: 'Driver Name',
                vehiclenumber: 'Vehicle Number',
                allowedparkinglots: 'Allowed Parking Lots',
                saveparkinglot: 'Save Parking Spot',
                userTableElectric: 'Electric',
                userTableHandi: 'Handi',
                UserTableYes: 'Yes',
                UserTableNo: 'No',
                accountstatus: 'Account Status',
                accountlockedstatus: 'Account Locked Instances',
                createUserhead: "Create User",
                createuser: 'Create User',
                edituser: 'Edit User',
                registration: 'Vehicle Number',
                electricCharging: 'Electric Charging',
                designatedParkingSpotSet: 'Designated Parking Spot',
                designatedParkingSpot: 'Designated Parking Spot Number',
                createuserbtn: 'Create User',
                name: 'Name',
                createTemporaryPassword: 'Create Temporary Password',
                createTemporaryPasswordbtntext: 'Create Temporary Password',
                unlockUser: 'Unblock',
                accountlocked: 'Account Locked',
                date: 'Date',
                save: 'Save',
                temppassedituser1: 'Are you sure you want to create a temporary password for this user?',
                temppassedituser2: 'The current password will become invalid.',
                createparkinglot: 'Create Parking Lot',
                regularparkingspot: 'Regular Parking Spots',
                electricchargestation: 'Electric Charging Stations',
                savedparkingspots: 'Saved Parking Spots',
                maxReservationDistance: 'Maximum Reservation Distance',
                allotmentmethod: 'Allotment Method',
                designated: 'Designated Parking Spots',
                location: 'Address',
                accessMapFile: 'Access Map File',
                regular: 'Regular Parking Spots',
                admins: 'Parking Lot Admin/s',
                allotmentFile: 'Allotment File',
                electric: 'Electric Charging Station',
                allotmentMethod: 'Allotment Method',
                electricChargingTimeLimit: 'Electric Charging Time Limit',
                avatar: 'Parking Lot Image File',
                choosefile: 'Choose File',
                nolimit: 'No Limit',
                uploadfillalert: '*Please upload a file.',
                editParkingLot: 'Edit Parking Lot',
                parkingspotares: 'Parking Spots, Areas and Map files',
                electricchargingspot: 'Electric Charging Parking Spots',
                designatedparkingspot: 'Designated Parking spots',
                entrance: 'Entrance',
                mapfile: 'Map File',
                areaname: 'Area Name',
                deleteparkinglotmodeltxt1: 'Are you sure you want to delete this parking lot?',
                deleteparkinglotmodeltxt2: 'This action is irreversible.',
                logout: 'Log Out',
                temporaryPassword: 'Temporary Password',
                newPassword: 'New Password',
                confirmPassword: 'Confirm Password',
                invaliderror: '*Invalid password',
                notmatcherror: '*Password does not match',
                incorrectpassword: '*Incorrect password',
                passwordupdated: 'Password Updated!',
                passwordrule: 'Password Rules:',
                passwordrulesubtext: 'A password must include at least 3 of the following:',
                passrule1: 'Small letter (a-z)',
                passrule2: 'Capital letter (A-Z)',
                passrule3: 'Special character (!@#$%^&*)',
                passrule4: 'Number (1-9)',
                createadmintxt: 'Create Admin',
                random: 'Random',
                manual: 'Manual',
                'user-selected': 'User Selected',
                smsSendTime: 'SMS Send Time',
                reservationTime: 'Reservation Time',

                time18: '18:00 Evening before',
                time19: '19:00 Evening before',
                time20: '20:00 Evening before',
                time21: '21:00 Evening before',
                time5: '05:00 Morning',
                time6: '06:00 Morning',
                time7: '07:00 Morning',
                time8: '08:00 Morning',


                '18:00 Evening before': '18:00 Evening before',
                '19:00 Evening before': '19:00 Evening before',
                '20:00 Evening before': '20:00 Evening before',
                '21:00 Evening before': '21:00 Evening before',
                '05:00 Morning': '05:00 Morning',
                '06:00 Morning': '06:00 Morning',
                '07:00 Morning': '07:00 Morning',
                '08:00 Morning': '08:00 Morning',

                DayBefore: 'Day Before',
                SameDay: 'Same Day',

                allowedParkingLotsnew: 'Allowed Parking Lots',
                mainParkingLot: 'Main Parking Lot',
                accessibleparkingspots: "Accessible Parking Spots",
                accessibleParkingSpot: 'Accessible Parking Spot',
                parkingLot: 'Parking Lot',
                selectparkinglot: 'Select Parking Lot',
                designatedparkingspotnew: 'Designated Parking Spot Number',
                doubleparkingspots: 'Double Parking Spots',

                verifycsv: 'Please Verify csv File',
                deleteUserModalText: "Do you want to delete the user?",
                frozenSpots: 'Frozen Spots',
                controlCenter: 'Control center',
                legend: 'Legend',
                freeInfo: 'Free',
                reservedInfo: 'Reserved',
                inUse: 'InUse',
                locked: 'Locked',
                accessible: 'Accessible',
                availablespaces: 'Parking spaces available',
                accessible: 'Accessible Parking Spots',
                vehicles: 'Vehicles',
                createAnnouncement: 'The scheduled message was sent successfully',
                announcements: 'Announcements',
                announcementtext: 'Announcement',
                start: 'Start Date and Time',
                end: 'End Date and Time',
                deleteannouncementtext: 'Are you sure you want to delete the Announcement?',
                adduser: 'Add User',
                importuser: 'Import user list',
                reportdatetime: 'Date/Time',
                lastlogin: 'Last date of entry to the application',
                monitoring: 'Monitoring',
                monitoringElectricCount: 'Electric',
                monitoringAccessibleCount: 'Accessible',
                monitoringRegularCount: 'Regular',
                designatedReservationDuration: 'Designated Reservation Duration',
                firstlogin: 'Date of first entry',
                usersearchplaceholder: 'User search by name/car number/phone number/parking number/parking spot',
                shabat: 'Holidays',
                holidayName: 'Holiday Name',
                holidayStart: 'Start Date Time',
                holidayEnd: 'End Date Time',
                holidayEdit: 'Edit',
                holidayDelete: 'Delete',
                deleteholidaymodal: 'Are you sure you want to delete the holiday?',
                createholiday: 'Create Holiday',
                starttime: 'Start Time',
                startdate: 'Start Date',
                endtime: 'End Time',
                enddate: 'End Date',
                editholiday: 'Edit Holiday',
                exportuser: 'Export Users List',
                exportreport: 'Export Reports List',
                exportmonitoring: 'Export Monitoring List',
                occupancytitle: 'Parking Lot Occupancy',
                occupancyparkinglot: 'Parking Lot',
                occupancyareaname: 'Area Name',
                occupancyparkingspotnumber: 'Parking Spot Number',
                occupancyparkingspottype: 'Parking Spot Type',
                occupancyparkingspotstatus: "Parking Spot Status",
                occupancyspotdesignatedto: 'Spot Designated To',
                occupancyspotoccupancy: 'Spot To Occupancy',
                occupancyvehiclenumber: 'Vehicle Number',
                reserved: 'reserved',
                free: 'available-for-reservation',
                released: 'available-for-reservation',
                'designated-not-released': 'designated-no-reservation',
                regular: 'Regular',
                electric: 'Electric',
                designated: 'Designated',
                disabled: 'Disabled',
                timeformat: '(24 hour format) hh:mm',
                occupancyphonenumber: 'Phone Number',
                newMonitoringRegular: 'Regular',
                newMonitoringAccessible: 'Accessibility',
                newMonitoringElectric: 'Electric',
                newMonitoringFree: 'Available',
                newMonitoringReserved: 'Reserved',
                newMonitoringTaken: 'Taken',
                newMonitoringFrozen: 'Frozen',
                newMonitoringAllParkingLot: 'Parking Lots',
                users: 'Users',
                systemUsersTab: 'System Users',
                guestUsersTab: 'Associated Users',
                newDesignUserDropdownText: 'Select Parking Lot',
                newDesignActive: 'Active',
                newDesignInactive: 'Locked',
                newDesignSuccesAlert: 'A new user has been added to the ',
                newDesignMonitoringText: 'Monitoring',
                newDesignGuestsText: 'Guests',
                newdesignaddguestuser: 'Add Guest User',
                newdesignexportguestuser: 'Export Guest Users',
                guestname: 'Full Name',
                guestphonenumber: 'Phone Number',
                guestcarnumber: 'Vehicle Number',
                guestaccessible: 'Accessibility',
                guestreservespot: 'Reserved Spot',
                guestarivaldate: 'Arrival date',
                guestinfotext: 'The association process is a simple process, starting with the search for the user you want to add to the parking lot and follow the instructions',
                guestnouserfound: 'No user found with this phone, try again',
                guestinfobtn: "To associate the user with your parking lot, click on the 'Associate with parking lot' button",
                guestusercarnumber: 'Car Number:',
                guestuserphonenumber: 'Phone Number:',
                guestuseraccounstatus: 'Account Status:',
                guestusersearchbtn:'Associate to the parking lot',
                createGuestUserhead: 'Create a Guest',
                guestcalendercancel: 'Cancel',
                guestcalenderApproval: 'Okay',
                alerteditguestuser:"Can't Update the User without Changing Parking Lot and Spot",
                associatesdropdownallparkinglots:'All Parking Lots'
            },
        },
    },
    lng: 'he',
    fallbackLng: 'he',
    interpolation: {
        escapeValue: false,
    },
});

export default i18n;
