import * as React from 'react';
import { PieChart } from '@mui/x-charts/PieChart';



const PieChartWithPaddingAngle = ({ lot }) => {
  const excludedColor = '#d9d9d9';
  function getRandomHexColor() {
    const letters = '0123456789ABCDEF';
    let color = '#';
    do {
      for (let i = 0; i < 6; i++) {
        color += letters[Math.floor(Math.random() * 16)];
      }
    } while (color === excludedColor);
    return color;
  }

  const data = [
    { label: 'Alloted Lots', value: lot.reserved, color: getRandomHexColor() },
    { label: 'Available Lots', value: lot.total - lot.reserved , color: '#d9d9d9' },
  ];
  return (
    <PieChart
      series={[
        {
          startAngle: -110,
          endAngle: 110,
          innerRadius: 80,
          outerRadius: 68,
          data,
        },
      ]}
      margin={{ right: 5 }}
      width={200}
      height={200}
      slotProps={{
        legend: { hidden: true },
      }}
    />
  );
}

export default PieChartWithPaddingAngle;