import React from 'react';
import Checkbox from '@mui/material/Checkbox';
import FormControlLabel from '@mui/material/FormControlLabel';
import i18n from '../../i18n';

const MuiCheckbox = ({ label, name, checked, onChange }) => {
    const handleCheckboxChange = (event) => {
        if (onChange) {
            onChange(name, event.target.checked);
        }
    };

    return (
        <div className="mb-1 ml-[29px]  items-center justify-center">
            <FormControlLabel
                control={
                    <Checkbox
                        checked={checked}
                        onChange={handleCheckboxChange}
                        color="success"
                        sx={{
                            marginTop: '-5px',
                            '&.Mui-checked': {
                                color: '#4EB9B1',
                            },
                            '&:hover': {
                                borderColor: '#4EB9B1',
                            },
                        }}
                    />
                }
            />
            <label className={`font-normal  text-[18px] ${i18n.language == 'he' ? 'mr-[15px] font-rubik' : '-ml-[15px] font-spartan'} text-center`} >{label}</label>
        </div>
    );
};

export default MuiCheckbox;
