import { svgImages } from '@/utilities/utils'
import React, { useEffect, useRef } from 'react'
import Image from 'next/image';
import i18n from '../../i18n';


const CustomDropDown = ({ selectedLot, setSelectedLot, lotdetails, setToggleDropdown, toggledropdown }) => {
    const selectedLotRef = useRef(null);

    useEffect(() => {
        if (toggledropdown && selectedLotRef.current) {
            selectedLotRef.current.scrollIntoView({ block: 'nearest' });
        }
    }, [toggledropdown, selectedLot]);

    return (
        <div onClick={() => setToggleDropdown()} className={`bg-appBlackOC relative flex items-center justify-between w-[400px] px-4 h-12 rounded-[5px] ${toggledropdown && 'rounded-b-none'}`}>
            <p className={`${i18n.language == 'en' ? 'font-spartan' : 'font-rubik '} text-appNewSeaGreen font-medium text-[30px]`}>{selectedLot?.name}</p>
            <Image className='mt-2' alt='arrow' height={6.41} width={10} src={svgImages.arrowseagreen} />
            {toggledropdown && <div className='absolute top-12 right-0 z-10 bg-appBlackOC shadow-black shadow-lg w-full max-h-64 overflow-scroll'>
                {lotdetails?.map((lot, index) => {
                    return (<div ref={lot?._id === selectedLot?._id ? selectedLotRef : null} key={index} onClick={() => setSelectedLot(lot)} className={`${lot?._id == selectedLot?._id && 'bg-appBlack2C'} border-t border-appGreyLight39 hover:bg-appBlack2C transition-all`}>
                        <p className='py-2 px-2 text-appNewSeaGreen font-rubik font-medium text-[20px] '>{lot?.name}</p>
                    </div>
                    )
                })
                }

            </div>}
        </div>
    )
}

export default CustomDropDown