import React from 'react'
import { useTranslation } from 'react-i18next'
import i18n from '../../i18n'

function InputFile({ name, value, check, parkinglotDetail, onChange }) {
    const { t } = useTranslation()
    return (
        <label className={`flex items-center  overflow-hidden justify-center py-1 px-2 ${name == 'allotmentFile' && (parkinglotDetail['allotmentMethod'] == 'random' || parkinglotDetail['allotmentMethod'] == '') ? '' : 'hover:bg-appSeaGreen '} transition-all delay-75 bg-appLightGrey text-white rounded-full cursor-pointer`}>
            <p className={`${i18n.language == 'he' ? 'font-rubik' : 'font-spartan'}  font-medium text-[15px] text-white`}>{value ? value?.name ? value?.name : value.split('/').pop() : t('choosefile')}</p>
            <input
                type="file"
                disabled={name == 'allotmentFile' && (parkinglotDetail['allotmentMethod'] == 'random' || parkinglotDetail['allotmentMethod'] == '') ? true : false}
                className="hidden"
                onChange={onChange}
                accept={name == 'allotmentFile' ? ".csv" : name == 'mapFile' ? '.png, .jpg, .jpeg, .mp4, .webm, .mpeg, .3gp' : '.png, .jpg, .jpeg'}
            />
        </label>
    )
}

export default InputFile