import { svgImages } from '@/utilities/utils'
import React from 'react'
import Image from 'next/image';
import { useTranslation } from 'react-i18next';
import i18n from '../../i18n';
import { useSelector } from 'react-redux';
import Link from 'next/link';


const LevelSlots = ({ selectedLot }) => {
    const { t } = useTranslation()
    const { loader } = useSelector(state => state.user)

    const slotImage = (status, type, isFrozen, occupy, reseved) => {
        if (isFrozen) {
            return { bg: "bg-[url('../assets/icons/locked.svg')]" }
        }

        // if (occupy) {
        //     if (type == 'disabled') {
        //         return { bg: "bg-[url('../assets/icons/accessibleInUse.svg')]", clr: 'text-appBlack' }
        //     } else if (type == 'frozen' || isFrozen) {
        //         return { bg: "bg-[url('../assets/icons/locked.svg')]" }
        //     } else {
        //         return { bg: "bg-[url('../assets/icons/inUse.svg')]", clr: 'text-appBlack' }
        //     }
        // } else if (reseved) {
        //     if (type == 'disabled') {
        //         return {
        //             bg: "bg-[url('../assets/icons/accessiblereserved.svg')]"
        //         }
        //     } else {
        //         return { bg: "bg-[url('../assets/icons/reserved.svg')]" }
        //     }
        // } else {
        //     if (type == 'disabled') {
        //         return { bg: "bg-[url('../assets/icons/accessibleEmpty.svg')]" }
        //     } else {
        //         return { bg: "bg-[url('../assets/icons/empty.svg')]" }
        //     }
        // }

        if (status == 'reserved') {
            if (type == 'disabled') {
                return { bg: "bg-[url('../assets/icons/accessibleInUse.svg')]", clr: 'text-appBlack' }
            } else if (type == 'frozen' || isFrozen) {
                return { bg: "bg-[url('../assets/icons/locked.svg')]" }
            } else {
                return { bg: "bg-[url('../assets/icons/inUse.svg')]", clr: 'text-appBlack' }
            }
        } else if (status == 'designated-not-released') {
            if (type == 'disabled') {
                return {
                    bg: "bg-[url('../assets/icons/accessiblereserved.svg')]"
                }
            } else {
                return { bg: "bg-[url('../assets/icons/reserved.svg')]" }
            }
        } else {
            if (type == 'disabled') {
                return { bg: "bg-[url('../assets/icons/accessibleEmpty.svg')]" }
            } else {
                return { bg: "bg-[url('../assets/icons/empty.svg')]" }
            }
        }
    }


    return (
        <>
            <div className="w-full h-full flex items-center justify-center gap-1 overflow-x-auto">
                {!loader && <> {selectedLot?.levels?.length == 1 ? <div className='w-[70%] flex flex-wrap items-center justify-center gap-4 max-h-[70%] '>
                    {
                        selectedLot?.levels?.flatMap(level => level.parkingSpots).map((data, index) => {
                            return (
                                <div key={index} className={`w-12 cursor-pointer relative group h-14 ${slotImage(data?.status, data?.spotType, data?.isPermanent, data?.designatedTo, data?.reservedBy
                                ).bg} bg-no-repeat bg-cover flex items-center justify-center  `}>
                                    <p className={`text-xs ${slotImage(data?.status, data?.spotType).clr || 'text-appWhite'} `}>{data?.parkingCode}</p>
                                    {data?.spotType == 'electric' && <Image className='absolute bottom-1.5 left-1 ' width={12} height={12} alt='electricity' src={svgImages.Electricity} />}
                                    {(data?.status !== 'released' && data?.status !== 'free') && <Link href={`/editUser?data=${JSON.stringify(data?.reservedBy || data?.designatedTo)}&from=monitoring`} as="/editUser" className=' rounded-md -top-12 w-20 px-2 py-2 bg-appBlack2C z-10 shadow-md absolute invisible group-hover:visible duration-200 transition'>
                                        <p className={`${i18n.language == 'en' ? 'font-spartan' : 'font-rubik '} text-appWhite text-center text-[10px]`}>{data?.reservedBy ? data?.reservedBy?.firstName : data?.designatedTo?.firstName}</p>
                                        <p className={`${i18n.language == 'en' ? 'font-spartan' : 'font-rubik '} text-appWhite text-center text-[10px]`}>{data?.reservedBy ? data?.reservedBy?.phoneNumber?.number : data?.designatedTo?.phoneNumber?.number}</p>
                                    </Link>}
                                </div>
                            )
                        })
                    }
                </div> : <div className={`w-full h-full flex overflow-x-auto`}>
                    {
                        selectedLot?.levels?.map((level, index) => {
                            return (
                                <div key={index} className={`h-full ${i18n.language == 'en' ? 'border-r-2' : 'border-l-2'} border-appGreyLight39`}>
                                    <div className={`${selectedLot?.levels?.length == 2 ? 'w-[750px]' : selectedLot?.levels?.length == 3 ? 'w-[550px]' : 'w-[389.5px]'} flex flex-col items-center  h-full`}>
                                        <p className='font-rubik font-medium text-xl pt-5 text-appgreyBE'>{level?.level?.name}</p>
                                        {/* <p className='font-rubik font-normal text-xl pt-1 text-appgreyBE'>
                                            {t('free')}:<span className='font-semibold text-appWhite px-1'>{level?.level?.freeCount}</span>
                                            {level?.level?.electricCount != 0 && <>{`| ${t('monitoringElectricCount')}:`}<span className='font-semibold text-appWhite px-1'>{level?.level?.electricCount}</span></>}
                                            {level?.level?.disabledCount != 0 && <>{`| ${t('monitoringAccessibleCount')}:`}<span className='font-semibold text-appWhite px-1'>{level?.level?.disabledCount}</span></>}
                                        </p> */}
                                        <div className='w-[80%] flex items-center justify-center gap-3 pt-12 pb-3 flex-wrap overflow-y-scroll'>
                                            {
                                                level?.parkingSpots?.map((data, index) => {
                                                    return (
                                                        <div key={index} className={`w-12 cursor-pointer relative group h-14 ${slotImage(data?.status, data?.spotType, data?.isPermanent, data?.designatedTo, data?.reservedBy).bg} bg-no-repeat bg-cover flex items-center justify-center  `}>
                                                            <p className={`text-xs ${slotImage(data?.status, data?.spotType).clr || 'text-appWhite'} `}>{data?.parkingCode}</p>
                                                            {data?.spotType == 'electric' && <Image className='absolute bottom-1.5 left-1' width={12} height={12} alt='electricity' src={svgImages.Electricity} />}
                                                            {(data?.status !== 'released' && data?.status !== 'free') && <div className='flex pb-1 absolute invisible group-hover:visible duration-200 transition -top-12 z-10'> <Link href={`/editUser?data=${JSON.stringify((data?.reservedBy || data?.designatedTo))}&from=monitoring`} as="/editUser" className=' rounded-md  w-20 px-2 py-2 bg-appBlack2C  shadow-md '>
                                                                <p className={`${i18n.language == 'en' ? 'font-spartan ' : 'font-rubik '} text-appWhite text-center text-[10px]`}>{data?.reservedBy ? data?.reservedBy?.firstName : data?.designatedTo?.firstName}</p>
                                                                <p className={`${i18n.language == 'en' ? 'font-spartan ' : 'font-rubik '} text-appWhite text-center text-[10px]`}>{data?.reservedBy ? data?.reservedBy?.phoneNumber?.number : data?.designatedTo?.phoneNumber?.number}</p>
                                                            </Link></div>}
                                                        </div>
                                                    )
                                                })
                                            }
                                        </div>
                                    </div>
                                </div>

                            )
                        })
                    }

                </div>
                }
                </>
                }
            </div>
        </>
    )
}

export default LevelSlots