import { Translation, useTranslation } from "react-i18next";
import i18n from "../../i18n";
import Image from 'next/image'
import { IMAGES } from "@/utilities/utils";



const ToggleLanguageButton = () => {
    const { t } = useTranslation();
    const changeLanguage = () => {
        const newLanguage = i18n.language == 'en' ? 'he' : 'en';
        i18n.changeLanguage(newLanguage);
        document.documentElement.dir = newLanguage === 'he' ? 'rtl' : 'ltr';
    };

    return (
        <>
            <div onClick={changeLanguage} className="bg-appOffWhite shadow-md py-1 cursor-pointer inline-block  rounded-full ">
                <div className="flex flex-row-reverse items-center justify-center mx-2 gap-1">
                <Image className="h-full aspect-square w-[19px] object-contain" src={i18n.language != 'en' ? IMAGES.enflag : IMAGES.heflag} alt="en" />
                <h5 className="text-appBlack text-xs font-spartan font-medium">{i18n.language != 'en' ? 'En' :'He'}</h5>
                </div>
            </div>
        </>
    );
};

export default ToggleLanguageButton


