import '@/styles/globals.css'
import '@/styles/fonts.css'
import localFont from '@next/font/local'
import { library } from '@fortawesome/fontawesome-svg-core';
import { faChevronDown, faChevronUp, faCircleChevronLeft, faCircleChevronRight, faFileArrowUp, faCirclePlus, faPen, faTrashCan, faXmark ,faFloppyDisk,faDesktop,faFileArrowDown,faBookmark} from '@fortawesome/free-solid-svg-icons';
import '@fortawesome/fontawesome-svg-core/styles.css';
import { Provider } from 'react-redux';
import store, { persistor } from '../store/store';
import { PersistGate } from 'redux-persist/integration/react';

const spartan = localFont({
  src: [
    {
      path: '../../public/fonts/Spartan-Bold.ttf',
      weight: '700',
    },
    {
      path: '../../public/fonts/Spartan-SemiBold.ttf',
      weight: '600',
    },
    {
      path: '../../public/fonts/Spartan-Regular.ttf',
      weight: '400',
    },
    {
      path: '../../public/fonts/Spartan-Light.ttf',
      weight: '300',
    },
  ],
  variable: '--font-spartan'
})

library.add(faCircleChevronRight);
library.add(faCircleChevronLeft);
library.add(faChevronUp);
library.add(faChevronDown);
library.add(faFileArrowUp);
library.add(faCirclePlus);
library.add(faPen);
library.add(faTrashCan);
library.add(faXmark);
library.add(faFloppyDisk);
library.add(faDesktop);
library.add(faFileArrowDown);
library.add(faBookmark);

export default function App({ Component, pageProps }) {
  return <Provider store={store}>
    <PersistGate loading={null} persistor={persistor}>
      <main suppressHydrationWarning className={`${spartan.variable}`}>
        <Component {...pageProps} />
      </main>
    </PersistGate>
  </Provider>
}
