/** @type {import('tailwindcss').Config} */
const {nextui} = require("@nextui-org/react");
module.exports = {
  content: [
    './src/pages/**/*.{js,ts,jsx,tsx,mdx}',
    './src/components/**/*.{js,ts,jsx,tsx,mdx}',
    './src/app/**/*.{js,ts,jsx,tsx,mdx}',
    "./node_modules/@nextui-org/theme/dist/**/*.{js,ts,jsx,tsx}",
  ],
  theme: {
    extend: {
      fontFamily: {
        spartan: ['var(--font-spartan)'],
        rubik: ['Rubik', 'sans-serif'],
      },
      colors: {
        appRed: '#E52055',
        appYellow: '#F4BC46',
        appSeaGreen: '#4EB9B1',
        appNewSeaGreen: "#A7DCD8",
        appSeaGreen70: '#ABD3D1B2',
        appYellowLight: '#FFD265',
        appNewYellowLight:'#FDDAAE',
        appWhite: '#FFFFFF',
        appOffWhite: '#F5F5F5',
        appBlack: '#000000',
        appGreyLight42: '#424242',
        appGreyLight39: '#393939',
        appBlack60: 'rgba(0, 0, 0, 0.60)',
        appBlack10: 'rgba(0, 0, 0, 0.10)',
        appBlack15: 'rgba(0, 0, 0, 0.15)',
        appLightGrey: '#D9D9D9',
        appBgWhite: '#F2F6FB',
        appBlackOC: '#0C0C0C',
        appBlack2C: "#2B2B2C",
        appdarkgreen: "#015B5E",
        appnewdarkgreen:'#369B9E',
        appgrey99: '#999999',
        appgrey95: '#959595',
        appgreyBE: '#BEBEBE',
        Lightbluegray: '#E1E5EE',
        appParrotGreen:'#03D231',
        appAquaLight:'#A5F1EB',
        appDarkGrey:'#494E50',
        appNewRed:"#FF7D7D",
        appNewGreen:'#2AF049',
        appNewLightBlue:'#F2F4FE'

      },
      backgroundImage: {
        'gradient-radial': 'radial-gradient(var(--tw-gradient-stops))',
        'gradient-conic':
          'conic-gradient(from 180deg at 50% 50%, var(--tw-gradient-stops))',
      },
    },
  },
  plugins: [
    function ({ addUtilities }) {
      const filters = {
        '.filter-invert-sepia-saturate-hue': {
          filter: 'invert(65%) sepia(49%) saturate(420%) hue-rotate(126deg) brightness(145%) contrast(81%)',
        },
        '.filter-invert-sepia-saturate-hue-light': {
          filter: 'invert(63%) sepia(49%) saturate(500%) hue-rotate(126deg) brightness(155%) contrast(75%)',
        },
        '.filter-invert-light-grey': {
          filter: 'invert(100%) sepia(76%) saturate(1%) hue-rotate(293deg) brightness(96%) contrast(79%)'
        },
        '.filter-purple':
        {
          filter: 'invert(54%) sepia(23%) saturate(1275%) hue-rotate(229deg) brightness(88%) contrast(90%)'
        }
      };

      addUtilities(filters, ['responsive', 'hover']);
    },
    nextui()
  ],
}
